package com.bureau.base

import androidx.annotation.Keep

@Keep
enum class Environment {
    ENV_SANDBOX,
    ENV_PRODUCTION;

    companion object {
        fun getEnvironment(environmentStr: String): Environment {
            return when (environmentStr) {
                ENV_PRODUCTION.name -> ENV_PRODUCTION
                ENV_SANDBOX.name -> ENV_SANDBOX
                else -> ENV_PRODUCTION
            }
        }
    }
}
